## libpam-radius-auth 1.3.16

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #
 #  A minimal 'Makefile', by Alan DeKok <aland@freeradius.org>
 #
-# $Id: Makefile,v 1.9 2001/08/20 17:16:44 aland Exp $
+# $Id: Makefile,v 1.12 2003/09/19 14:41:45 aland Exp $
 #
 #############################################################################
 
-VERSION=1.3.14
+VERSION=1.3.16
 
 ######################################################################
 #
@@ -16,6 +16,13 @@
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
 CFLAGS = -Wall -fPIC
+#
+# On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
+# gcc on Irix does not work yet for pam_radius
+# Also, use gmake instead of make
+# Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
+# CFLAGS =
+
 
 ######################################################################
 #
@@ -29,6 +36,11 @@
 #
 pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h
 	$(CC) $(CFLAGS) -c pam_radius_auth.c -o pam_radius_auth.o
+#
+# This is what should work on Irix:
+#pam_radius_auth.so: pam_radius_auth.o md5.o
+#	ld -shared pam_radius_auth.o md5.o -L/usr/freeware/lib32 -lpam -lc -o pam_radius_auth.so
+
 
 ######################################################################
 #
@@ -37,6 +49,10 @@
 #  The -Bshareable flag *should* work on *most* operating systems.
 #
 #  On Solaris, you might try using '-G', instead.
+#
+#  On systems with a newer GCC, you will need to do:
+#
+#	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
 #
 pam_radius_auth.so: pam_radius_auth.o md5.o
 	ld -Bshareable pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
