## libpam-radius-auth 1.3.17

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 #
 #  A minimal 'Makefile', by Alan DeKok <aland@freeradius.org>
 #
-# $Id: Makefile,v 1.12 2003/09/19 14:41:45 aland Exp $
+# $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
 
-VERSION=1.3.16
+VERSION=1.3.17
 
 ######################################################################
 #
