## libpam-radius-auth 1.4.0

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,7 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
-
-VERSION=1.3.17
+VERSION=1.4.0
 
 ######################################################################
 #
@@ -15,7 +14,7 @@
 #
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
-CFLAGS = -Wall -fPIC
+CFLAGS += -Wall -fPIC
 #
 # On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
 # gcc on Irix does not work yet for pam_radius
@@ -23,6 +22,8 @@
 # Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
 # CFLAGS =
 
+#LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
+LDFLAGS += -shared
 
 ######################################################################
 #
@@ -34,8 +35,11 @@
 #
 #  Build the object file from the C source.
 #
-pam_radius_auth.o: pam_radius_auth.c pam_radius_auth.h
-	$(CC) $(CFLAGS) -c pam_radius_auth.c -o pam_radius_auth.o
+pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
+	$(CC) $(CFLAGS) -c $< -o $@
+
+md5.o: src/md5.c src/md5.h
+	$(CC) $(CFLAGS) -c $< -o $@
 #
 # This is what should work on Irix:
 #pam_radius_auth.so: pam_radius_auth.o md5.o
@@ -55,16 +59,17 @@
 #	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
 #
 pam_radius_auth.so: pam_radius_auth.o md5.o
-	ld -Bshareable pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
+	$(CC) $(LDFLAGS) pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
 
 ######################################################################
 #
 #  Check a distribution out of the source tree, and make a tar file.
 #
+.PHONY: dist
 dist:
-	cvs export -D now -d pam_radius-${VERSION} pam_radius
-	tar -cf pam_radius-${VERSION}.tar pam_radius-${VERSION}
-	rm -rf pam_radius-${VERSION}
+	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz
+	gpg --default-key aland@freeradius.org -b pam_radius-$(VERSION).tar.gz
+
 
 ######################################################################
 #
