## libpam-radius-auth 1.5.0-cl4u1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
-VERSION=1.4.0
+VERSION=1.4.1
 
 ######################################################################
 #
@@ -14,7 +14,9 @@
 #
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
-CFLAGS += -Wall -fPIC
+# structured this way instead of += so configured CFLAGS can override -Wall
+CFLAGS := -Wall -Werror -fPIC ${CFLAGS}
+
 #
 # On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
 # gcc on Irix does not work yet for pam_radius
@@ -22,24 +24,36 @@
 # Then copy pam_radius_auth.so to /usr/freeware/lib32/security (PAM dir)
 # CFLAGS =
 
-#LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
-LDFLAGS += -shared
+#LDSHFLAGS += -shared -Wl,--version-script=pamsymbols.ver
+LDSHFLAGS = -shared
+LDLIBS += -laudit
+BINLIBS += -lcap
+LIBLIBS += -lpam
 
 ######################################################################
 #
 #  The default rule to build everything.
 #
-all: pam_radius_auth.so
+all: pam_radius_auth.so radius_shell
 
 ######################################################################
 #
 #  Build the object file from the C source.
 #
-pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
-	$(CC) $(CFLAGS) -c $< -o $@
+export CFLAGS
 
-md5.o: src/md5.c src/md5.h
-	$(CC) $(CFLAGS) -c $< -o $@
+src/support.o: src/support.c src/pam_radius_auth.h
+	@$(MAKE) -C src $(notdir $@)
+
+src/pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
+	@$(MAKE) -C src $(notdir $@)
+
+src/md5.o: src/md5.c src/md5.h
+	@$(MAKE) -C src $(notdir $@)
+
+src/radius_shell.o: src/radius_shell.c
+	@$(MAKE) -C src $(notdir $@)
+
 #
 # This is what should work on Irix:
 #pam_radius_auth.so: pam_radius_auth.o md5.o
@@ -58,8 +72,11 @@
 #
 #	gcc -shared pam_radius_auth.o md5.o -lpam -lc -o pam_radius_auth.so
 #
-pam_radius_auth.so: pam_radius_auth.o md5.o
-	$(CC) $(LDFLAGS) pam_radius_auth.o md5.o -lpam -o pam_radius_auth.so
+pam_radius_auth.so: src/pam_radius_auth.o src/support.o src/md5.o
+	$(CC) $(LDFLAGS) $(LDSHFLAGS) $^ $(LDLIBS) $(LIBLIBS) -o $@
+
+radius_shell: src/radius_shell.o
+	$(CC) $(LDFLAGS) $^ $(LDLIBS) $(BINLIBS) -o $@
 
 ######################################################################
 #
@@ -75,5 +92,6 @@
 #
 #  Clean up everything
 #
+.PHONY: clean
 clean:
-	@rm -f *~ *.so *.o
+	@rm -f *~ *.so *.o src/*.o src/*~ radius_shell
