=== debian/changelog ===
libpam-radius-auth (1.5.0-cl4u1) RELEASED; urgency=medium

   * First 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 13 Oct 2019 21:14:31 -0700

libpam-radius-auth (1.5.0-cl3u7) RELEASED; urgency=low
  * Closes: CM-24829 - Fixed order setting vrf and binding to source address

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 01 Mar 2019 14:21:25 -0800

libpam-radius-auth (1.5.0-cl3u6) RELEASED; urgency=low
  * Do not show passwd when debugging enabled

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 01 Mar 2019 14:21:25 -0800

libpam-radius-auth (1.5.0-cl3u5) RELEASED; urgency=low
  * Closes: CM-23004 - local account password was allowed even when
    RADIUS server could be reached and was authoritative for the accountname

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 15 Nov 2018 13:51:34 -0800

libpam-radius-auth (1.5.0-cl3u4) RELEASED; urgency=low
  * fixed radius_shell to ensure euid set also, when run as a local user
    shell (so user can still login when the radius server is done).

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 28 Aug 2018 11:52:21 -0700

libpam-radius-auth (1.5.0-cl3u3) RELEASED; urgency=low
  * minor bug fix

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 25 Jun 2018 22:07:29 -0700

libpam-radius-auth (1.5.0-cl3u2) RELEASED; urgency=low
  * Closes: CM-20649 - Fixed problem that didn't create the home directory
  for privileged login users.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 18 Apr 2018 18:24:48 -0700

libpam-radius-auth (1.5.0-cl3u1) RELEASED; urgency=low
  * New Enabled - When the Vendor Specific Option (VSA) containing
    shell:priv-lvl is present and and the level value is >= to the level
    set in the config file (15 by default), the user is made a member
    of the groups containing the radius_priv_user, to enable configuration.
    Typically this includes the sudo and netedit accounts.
    The unprivileged radius_user login is added to the netshow group at
    install, therefore non-privileged radius users can run 'net show' cmds
    The privileged radius_priv_user login is added to the netedit and sudo
    groups at install, therefore privileged radius users can sudo, and
    can run 'net add', 'net commit', etc.

 -- dev-support <dev-support@cumulusnetworks.com>  Sun, 15 Apr 2018 14:53:33 -0700

libpam-radius-auth (1.4.1-cl3u3) RELEASED; urgency=low

  * Closes CM-19908 - Logging changed to use pam_syslog, log message format
    now has program invoking, not just pam_radius_auth

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 27 Feb 2018 14:47:22 -0800

libpam-radius-auth (1.4.1-cl3u2) RELEASED; urgency=low

  * Improved documentation in man pages

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 23 Jan 2018 16:03:38 -0800

libpam-radius-auth (1.4.1-cl3u1) RELEASED; urgency=low

  * Added support for mapping radius accounts to a local account
    to get UID, GID, and base of home directory, so radius users
    do not need to have an account created locally (or via LDAP)

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 16 Jun 2017 15:44:12 -0700

libpam-radius-auth (1.4.0) unstable; urgency=low

   * Many changes and bug fixes.  See USAGE and git log for details.
   * src_ip in config file
   * ipv6 support
   * configure can use poll or select
   * Add Calling-Station-Id to accounting requests
   * mostly thread safe
   * add force_prompt option to enforce new password prompt for use with Tok
   * NetBSD fixes
   * new parameter max_challenge limits number of Access-Challenges
   * build: do not force flags, add to them instead.
   * build: use GCC for build, and ensure that unneeded symbols are not exported.

 -- Alan T. DeKok <aland@freeradius.org>  Thu, 23 Mar 2017 19:01:20 -0400

libpam-radius-auth (1.3.17) unstable; urgency=low

  * Allow any number of retries, instead of only up to 3.
  * Add ruser option, to authenticate as PAM_RUSER instead of PAM_USER,
    to allow applications such as 'su' to authenticate as the real user.
    Patch from David Mitchell.
  * Add 'localifdown' option.

 -- Arran Cudbard-Bell <a.cudbardb@freeradius.org>  Wed, 24 Oct 2012 08:18:01 +0100
