=== debian/control ===
Source: libpam-radius-auth
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Section: libs
Priority: extra
Standards-Version: 3.9.8
Build-Depends: libpam0g-dev | libpam-dev, debhelper (>= 9~), libaudit-dev, libcap-dev

Package: libpam-radius-auth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaudit1, radius-shell
Description: PAM RADIUS client authentication module
 This is the PAM to RADIUS authentication module. It allows any PAM-capable
 machine to become a RADIUS client for authentication and accounting
 requests. You will, however, need to supply your own RADIUS server to
 perform the actual authentication

Package: radius-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaudit1, libcap2-bin, libcap2, libnss-mapuser
Description: Shell front-end used for radius users.
 This provides a uid fixup program.  Due to the limitations of the
 RADIUS protocol, we can't tell whether a user is privileged until
 after authentication.  This package provides a shell front-end that
 sets the uid to the auid, if set and > 1000, and not already matching.
