=== debian/changelog ===
libpam-radius-auth (2.0.0-1) unstable; urgency=medium

  * [2736aa5] d/libpam-radius-auth.install: Adjust install path
    Debian is supporting the Multiarch idea, thus we need to install the
    library into /lib/$DEB_HOST_MULTIARCH/security/ so it will get found.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Feb 2021 17:50:12 +0100

libpam-radius-auth (2.0.0-1~exp1) experimental; urgency=medium

  * [60bdc37] New upstream version 2.0.0
    (Closes: #789144)
  * [86a931c] remove current patch queue
  * [ede4270] d/rules: add an override to the clean target
    Upstream has some oblique logic in the top level Makefile if the user is
    calling the target (dist)clean in case configure wasn't running or called
    before.
  * [a6a0d61] pam-configs: add config file for radius authentication
    Starting with this version we provide a configuration file for the
    pam-auth-update utility. Thanks Brett Delle Grazie for providing the
    content for the config file!
    (Closes: #614967)
  * [858f509] Adding postinst and prerm hook
    In order to get pam-auth-update called on package installations and also
    in case of the removal of the package we need to add the hook files.
  * [1418c7b] d/README.Debian: add info about PAM config file
  * [ee10bc8] NEWS: create file to announce important info on install

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 Feb 2021 18:53:30 +0100

libpam-radius-auth (1.4.0-4) unstable; urgency=medium

  * [dd1321d] d/watch: adding a watch file
    The source for pam_radius is managed on GitHub. We can monitor easily for
    newer version with a watch file.
  * [46be465] d/gbp.conf: adding extra configuration for git-buildpackage
    Use gbp for package management, a dedicated config file helps to keep the
    effort of the additional packaging workflow low.
  * [22839a4] d/README.source: adding info about source code management
    Adding some explation how this package is maintained (by gbp).
  * [1c3580a] running wrap-and-sort to improve readability
  * [23a72b1] d/copyright: change format to DEP5
    Turning the existing copyright file into a machine readable format.
  * [c6d3838] d/control: Bump Standards-Version to 4.5.1
    No further changes needed.
  * [d11655b] d/control: move over to debhelper 13
    Update the debhelper compat modus to the current most recent version 13.
  * [f4c3434] d/libpam-radius-auth.docs: use index.html from upstream
    We don't need to maintain a index.html file within the debian/ folder,
    upstream ships a own file since a while and keep this of course up to date.
  * [65e7199] d/control: Chris and myself will maintain pam_radius
    (Closes: #833039, #951770)
  * [b80ed5c] d/u/metadata: add basic meta-information for pam_radius
  * [25d1da5] d/libpam-radius-auth.doc-base: add sequencer file
    Register the shipped index.html file with doc-base.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Jan 2021 17:01:06 +0100
