=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

RADIUS_CONF_FILE=/etc/pam_radius_auth.conf
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND=-DCONF_FILE="\\\"$(RADIUS_CONF_FILE)\\\""

%:
	dh $@

override_dh_auto_clean:
	# work around some stupid logic in top level makefile
	cd src && make clean

# Make dh_auto_build pass CPPFLAGS in CFLAGS and force into "plain"
# makefile mode (because the configure here does not pass along e.g.
# compiler variables like CC)
override_dh_auto_build:
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build -Smakefile

# Skip
override_dh_auto_install:

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/libpam-radius-auth/etc/pam_radius_auth.conf
