=== debian/watch ===
# uscan watch file
version=4

opts="mode=git, \
      uversionmangle=s/-(beta|rc|dev)/~$1/; \
                     s/\.-(beta|rc|dev)\.\d.*//; \
                     s/\.\.//,\
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
      https://github.com/FreeRADIUS/pam_radius/ \
      refs/tags/release_(\d+)_(\d+)_(\d)
