## libpam-radius-auth 2.0.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,12 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
-VERSION=2.0.0
+$(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))
+$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))
+
+include Make.inc
+
+VERSION = $(shell cat VERSION)
 
 ######################################################################
 #
@@ -14,7 +19,7 @@
 #
 #  If you're not using GCC, then you'll have to change the CFLAGS.
 #
-CFLAGS += -Wall -fPIC
+CFLAGS += -Wall
 
 #
 # On Irix, use this with MIPSPRo C Compiler, and don't forget to export CC=cc
@@ -26,8 +31,6 @@
 #LDFLAGS += -shared -Wl,--version-script=pamsymbols.ver
 LDFLAGS += -shared
 
-$(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))
-
 ######################################################################
 #
 #  The default rule to build everything.
@@ -38,7 +41,7 @@
 #
 #  Build the object file from the C source.
 #
-export CFLAGS
+export CFLAGS LDFLAGS
 
 src/pam_radius_auth.o: src/pam_radius_auth.c src/pam_radius_auth.h
 	@$(MAKE) -C src $(notdir $@)
@@ -50,7 +53,6 @@
 # This is what should work on Irix:
 #pam_radius_auth.so: pam_radius_auth.o md5.o
 #	ld -shared pam_radius_auth.o md5.o -L/usr/freeware/lib32 -lpam -lc -o pam_radius_auth.so
-
 
 ######################################################################
 #
@@ -71,15 +73,10 @@
 #
 #  Check a distribution out of the source tree, and make a tar file.
 #
-.PHONY: pam_radius-$(VERSION).tar.gz
-pam_radius-$(VERSION).tar.gz:
+.PHONY: dist
+dist:
 	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz
-
-%.sig: %
-	gpg --default-key packages@freeradius.org -b $<
-
-
-dist: pam_radius-$(VERSION).tar.gz pam_radius-$(VERSION).tar.gz.sig
+	gpg --default-key aland@freeradius.org -b pam_radius-$(VERSION).tar.gz
 
 ######################################################################
 #
@@ -88,3 +85,12 @@
 .PHONY: clean
 clean:
 	@rm -f *~ *.so *.o src/*.o src/*~
+
+######################################################################
+#
+#  Install it
+#
+.PHONY: install
+install: all
+	install -m 0644 pam_radius_auth.so /lib/security
+	install -m 0644 pam_radius_auth.conf /etc/pam_radius_auth.conf
