=== debian/changelog ===
libpam-radius-auth (2.0.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [ee9deb8] Set upstream metadata fields: Bug-Database, Repository.
  * [64ef8a9] Update standards version to 4.6.0, no changes needed.

  [ Carsten Schoenert ]
  * [137bfd9] New upstream version 2.0.1
  * [4655404] d/rules: Adjust target to get *.so build again
  * [d774ddf] d/pam_sshd_example: Add example from upstream project
  * [87150ed] d/copyright: Update content and year data
  * [fef93b1] d/libpam-radius-auth.examples: Ship file pam_sshd_example
  * [c4e1d63] d/control: Bump Standards-Version to 4.6.2

  [ Christoph Goehre ]
  * [471d21d] rebuild patch queue from patch-queue branch
    added patches:
    - Make.inc.in-remove-duplicate-compiler-options-in-CFLAGS-a.patch
    - src-Makefile-use-CPPFLAGS-too-while-compiling.patch
  * [426c3f8] d/rules: fixed Make.inc.in didn't need override_dh_auto_build
  * [d75fec6] d/rules: delete pam_radius_auth.so in clean target
    (Closes: #1047764)
  * [d31ced5] d/lintian-overrides: fix Lintian override for
    /etc/pam_radius_auth.conf

 -- Christoph Goehre <chris@sigxcpu.org>  Sat, 19 Aug 2023 16:08:42 +0200
