## libpam-radius-auth 3.0.0

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,22 @@
 # $Id: Makefile,v 1.13 2007/03/26 04:22:11 fcusack Exp $
 #
 #############################################################################
+
+#
+#  We require Make.inc, UNLESS the target is "make deb" or "make rpm"
+#
+#  Since "make deb" re-runs configure... there's no point in
+#  requiring the developer to run configure *before* making
+#  the debian packages.
+#
+ifneq "$(MAKECMDGOALS)" "deb"
+ifneq "$(MAKECMDGOALS)" "rpm"
 $(if $(wildcard src/config.h),,$(error You must run './configure [options]' before doing 'make'))
 $(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))
 
 include Make.inc
+endif
+endif
 
 VERSION = $(shell cat VERSION)
 
@@ -73,10 +85,22 @@
 #
 #  Check a distribution out of the source tree, and make a tar file.
 #
+
+BRANCH = $(shell git rev-parse --abbrev-ref HEAD)
+
+pam_radius-$(VERSION).tar.gz: .git/HEAD
+	git archive --format=tar --prefix=pam_radius-$(VERSION)/ $(BRANCH) | gzip > $@
+
+pam_radius-$(VERSION).tar.bz2: .git/HEAD
+	git archive --format=tar --prefix=pam_radius-$(VERSION)/ $(BRANCH) | bzip2 > $@
+
+%.sig: %
+	gpg --default-key packages@freeradius.org -b $<
+
 .PHONY: dist
-dist:
-	git archive --format=tar --prefix=pam_radius-$(VERSION)/ master | gzip > pam_radius-$(VERSION).tar.gz
-	gpg --default-key aland@freeradius.org -b pam_radius-$(VERSION).tar.gz
+dist: pam_radius-$(VERSION).tar.gz pam_radius-$(VERSION).tar.bz2
+
+dist-sign: pam_radius-$(VERSION).tar.gz.sig pam_radius-$(VERSION).tar.bz2.sig
 
 ######################################################################
 #
@@ -92,5 +116,42 @@
 #
 .PHONY: install
 install: all
+	@mkdir -p /lib/security
 	install -m 0644 pam_radius_auth.so /lib/security
 	install -m 0644 pam_radius_auth.conf /etc/pam_radius_auth.conf
+
+######################################################################
+#
+#	Build a debian package
+#
+debian/changelog: debian/changelog.in
+	sed "s/@VERSION@/$(VERSION)/g" < $^ > $@
+
+.PHONY: deb
+deb: debian/changelog
+	@if ! command -v fakeroot; then \
+		if ! command -v apt-get; then \
+		  echo "'make deb' only works on debian systems" ; \
+		  exit 1; \
+		fi ; \
+		echo "Please run 'apt-get install build-essential fakeroot' "; \
+		exit 1; \
+	fi
+	fakeroot debian/rules debian/control
+	fakeroot dpkg-buildpackage -b -uc
+
+#
+#  Build an RPM package
+#
+.PHONY: rpm
+rpmbuild/SOURCES/pam_radius-$(VERSION).tar.bz2: pam_radius-$(VERSION).tar.bz2
+	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
+	@for file in `awk '/^Source...:/ {print $$2}' redhat/pam_radius_auth.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
+	@cp $< $@
+
+rpm: rpmbuild/SOURCES/pam_radius-$(VERSION).tar.bz2
+	@if ! yum-builddep -q -C --assumeno --define "_version $(VERSION)" redhat/pam_radius_auth.spec 1> /dev/null 2>&1; then \
+		echo "ERROR: Required dependencies not found, install them with: yum-builddep redhat/pam_radius_auth.spec"; \
+		exit 1; \
+	fi
+	@QA_RPATHS=0x0003 rpmbuild --define "_version $(VERSION)" --define "_topdir `pwd`/rpmbuild" -bb redhat/pam_radius_auth.spec
