=== debian/changelog ===
libpam-radius-auth (3.0.0-1) unstable; urgency=medium

  * [9684854] New upstream version 3.0.0
  * [8150a41] rebuild patch queue from patch-queue branch
  * [be502cf] debian/docs: README.rst was renamed to README.md
  * [e4724ab] debian/rules: don't build with -DCONF_FILE anymore

 -- Christoph Goehre <chris@sigxcpu.org>  Sun, 18 Aug 2024 18:50:17 +0200

libpam-radius-auth (2.0.1-2) unstable; urgency=medium

  [ Michael Biebl ]
  * [c0b257b] d/libpam-radius-auth.install: Install PAM module into /usr
    (Closes: #1061847)

  [ Helmut Grohne ]
  * [fd4dad4] d/rules: FTCBFS Pass --build/--host to configure
    (Closes: #1063449)

  [ Carsten Schoenert ]
  * [caa1c5b] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 May 2024 08:12:51 +0200
