=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Christoph Goehre <chris@sigxcpu.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  libpam0g-dev | libpam-dev,
