=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-RADIUS_CONF_FILE=/etc/pam_radius_auth.conf
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CPPFLAGS_MAINT_APPEND=-DCONF_FILE="\"$(RADIUS_CONF_FILE)\""
 
 %:
 	dh $@
@@ -17,7 +17,7 @@
 	rm -f Make.inc
 
 override_dh_auto_configure:
-	./configure --prefix=$(CURDIR)/debian
+	./configure --prefix=$(CURDIR)/debian --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 
 # Skip
 override_dh_auto_install:
